Skip to main content
`Ctrl`+`K`

# TaoTermSumSetTerm

Set a term in a sum of terms

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermSumSetTerm(TaoTerm sumterm, PetscInt index, const char prefix[], PetscReal scale, TaoTerm term, Mat map)

Collective

## Input Parameters

- sumterm - a `TaoTerm` of type `TAOTERMSUM`

- index - a number \(0 \leq i < n\), where \(n\) is the number of terms in `TaoTermSumSetNumberTerms()`

- prefix - (optional) the prefix used for configuring the term (if `NULL`, `term_x_` will be the prefix, e.g. “term_0_”, “term_1_”, etc.)

- scale - the coefficient scaling the term in the sum

- term - the `TaoTerm` to be set in `TAOTERMSUM`

- map - (optional) a map from the `TAOTERMSUM` solution space to the `term` solution space; if `NULL` the map is assumed to be the identity

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERMSUM`, `TaoTermSumGetTerm()`, `TaoTermSumAddTerm()`

## Level

developer

## Location

src/tao/term/impls/sum/taotermsum.c

## Implementations

TaoTermSumSetTerm_Sum() in src/tao/term/impls/sum/taotermsum.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages